卸载PHP5.4

环境:CentOS7,PHP5.4

最近想安装PHP7.2,所以卸载原来的PHP5.4版本

因为安装的时候是用yum,所以也使用yum卸载

> yum remove php 
> php -v

但是还是会看到版本信息,所以必须强制删除, 使用下面命令查看全部php软件包

> rpm -qa|grep php 
//提示如下
php-pdo-5.1.6-27.el5_5.3
php-mysql-5.1.6-27.el5_5.3
php-xml-5.1.6-27.el5_5.3
php-cli-5.1.6-27.el5_5.3
php-common-5.1.6-27.el5_5.3
php-gd-5.1.6-27.el5_5.3

注意卸载要先卸载没有依赖的
pdo是mysql的依赖项;common是gd的依赖项;

> rpm -e php-common-5.4.16-46.el7.x86_64 

由于我先执行了rpm -e php-5.4.16-46.el7.x86_64
再执行rpm -e php-common-5.4.16-46.el7.x86_64
报错,信息如下:
warning: /etc/php.ini saved as /etc/php.ini.rpmsave

> hash -r  

再用

 > php -v 

就会发现没有版本信息提示了,成功卸载

🙂

发表评论

电子邮件地址不会被公开。 必填项已用*标注